org.apache.mina.example.proxy

## Class Main

- java.lang.Object
- - org.apache.mina.example.proxy.Main

-     public class Main
      extends Object

  (Entry point) Demonstrates how to write a very simple tunneling proxy using MINA. The proxy only logs all data passing through it. This is only suitable for text based protocols since received data will be converted into strings before being logged.

  Start a proxy like this:
  `org.apache.mina.example.proxy.Main 12345 www.google.com 80`
  and open http://localhost:12345 in a browser window.

  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Main()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Main

          public Main()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.